Index: src/plugins/sip/src/java/net/java/sipmack/sip/NetworkAddressManager.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/NetworkAddressManager.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/NetworkAddressManager.java	(working copy)
@@ -2,12 +2,11 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip;
 
 import net.java.sipmack.common.Log;
@@ -93,7 +92,7 @@
             return cachedLocalhost;
         }
 
-        Enumeration ifaces = null;
+        Enumeration<NetworkInterface> ifaces = null;
         int i = 0;
 
         // Try to get the Preferred IP Address
@@ -120,10 +119,10 @@
             while (ifaces.hasMoreElements()) {
 
                 NetworkInterface iface = (NetworkInterface) ifaces.nextElement();
-                Enumeration iaddresses = iface.getInetAddresses();
+                Enumeration<InetAddress> iaddresses = iface.getInetAddresses();
 
                 while (iaddresses.hasMoreElements()) {
-                    InetAddress iaddress = (InetAddress) iaddresses.nextElement();
+                    InetAddress iaddress = iaddresses.nextElement();
                     if (iaddress.getHostAddress().equals(SIPConfig.getPreferredNetworkAddress())) {
                         addresses.add(new InetAddressWrapper(iaddress, i++));
                         break;
@@ -144,7 +143,7 @@
         while (ifaces.hasMoreElements()) {
 
             NetworkInterface iface = (NetworkInterface) ifaces.nextElement();
-            Enumeration iaddresses = iface.getInetAddresses();
+            Enumeration<InetAddress> iaddresses = iface.getInetAddresses();
 
             while (iaddresses.hasMoreElements()) {
                 InetAddress iaddress = (InetAddress) iaddresses.nextElement();
@@ -165,7 +164,7 @@
         while (ifaces.hasMoreElements()) {
 
             NetworkInterface iface = (NetworkInterface) ifaces.nextElement();
-            Enumeration iaddresses = iface.getInetAddresses();
+            Enumeration<InetAddress> iaddresses = iface.getInetAddresses();
 
             while (iaddresses.hasMoreElements()) {
                 InetAddress iaddress = (InetAddress) iaddresses.nextElement();
Index: src/plugins/sip/src/java/net/java/sipmack/media/AudioReceiver.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/media/AudioReceiver.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/media/AudioReceiver.java	(working copy)
@@ -2,7 +2,7 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
@@ -46,10 +46,9 @@
      */
     public synchronized void update(ReceiveStreamEvent evt) {
 
-        RTPManager mgr = (RTPManager) evt.getSource();
         Participant participant = evt.getParticipant();    // could be null.
         ReceiveStream stream = evt.getReceiveStream();  // could be null.
-
+        
         if (evt instanceof RemotePayloadChangeEvent) {
 
             System.err.println("  - Received an RTP PayloadChangeEvent.");
Index: src/plugins/sip/src/java/net/java/sipmack/sip/security/Credentials.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/security/Credentials.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/security/Credentials.java	(working copy)
@@ -1,81 +1,14 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip.security;
 
-/**
- * <p/>
- * Title: SIP Communicator
- * </p>
- * <p/>
- * Description: A SIP UA
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2004
- * </p>
- * <p/>
- * Company: Network Research Team, Louis Pasteur University
- * </p>
- *
- * @author Emil Ivov
- * @version 1.0
- */
-
 public class Credentials {
     private static String userName = null;
     private static char[] password = null;
Index: src/plugins/sip/src/java/net/java/sipmack/common/scheduler/TimerTask.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/common/scheduler/TimerTask.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/common/scheduler/TimerTask.java	(working copy)
@@ -1,72 +1,14 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.common.scheduler;
 
-/**
- * A task that can be scheduled for one-time or repeated execution by a Timer.
- *
- * @author Josh Bloch
- * @version 1.8, 01/23/03
- * @see Timer
- * @since 1.3
- */
-
 public abstract class TimerTask implements Runnable {
     /**
      * This object is used to control access to the TimerTask internals.
Index: src/plugins/sip/src/java/net/java/sipmack/sip/security/SipSecurityManager.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/security/SipSecurityManager.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/security/SipSecurityManager.java	(working copy)
@@ -2,12 +2,11 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip.security;
 
 import net.java.sipmack.common.Log;
Index: src/plugins/sip/src/java/net/java/sipmack/common/Log.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/common/Log.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/common/Log.java	(working copy)
@@ -2,7 +2,7 @@
  * $Revision: $
  * $Date: $
  *
- * Copyright (C) 2007 Jive Software. All rights reserved.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
  * This software is published under the terms of the GNU Lesser Public License (LGPL),
  * a copy of which is included in this distribution.
Index: src/plugins/sip/src/java/net/java/sipmack/common/scheduler/Timer.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/common/scheduler/Timer.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/common/scheduler/Timer.java	(working copy)
@@ -1,109 +1,17 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
 
 package net.java.sipmack.common.scheduler;
 
 import java.util.Date;
 
-/**
- * A facility for threads to schedule tasks for future execution in a background
- * thread. Tasks may be scheduled for one-time execution, or for repeated
- * execution at regular intervals.
- * <p/>
- * Corresponding to each <tt>Timer</tt> object is a single background thread
- * that is used to execute all of the timer's tasks, sequentially. Timer tasks
- * should complete quickly. If a timer task takes excessive time to complete, it
- * "hogs" the timer's task execution thread. This can, in turn, delay the
- * execution of subsequent tasks, which may "bunch up" and execute in rapid
- * succession when (and if) the offending task finally completes.
- * <p/>
- * After the last live reference to a <tt>Timer</tt> object goes away <i>and</i>
- * all outstanding tasks have completed execution, the timer's task execution
- * thread terminates gracefully (and becomes subject to garbage collection).
- * However, this can take arbitrarily long to occur. By default, the task
- * execution thread does not run as a <i>daemon thread</i>, so it is capable of
- * keeping an application from terminating. If a caller wants to terminate a
- * timer's task execution thread rapidly, the caller should invoke the the
- * timer's <tt>cancel</tt> method.
- * <p/>
- * If the timer's task execution thread terminates unexpectedly, for example,
- * because its <tt>stop</tt> method is invoked, any further attempt to
- * schedule a task on the timer will result in an <tt>IllegalStateException</tt>,
- * as if the timer's <tt>cancel</tt> method had been invoked.
- * <p/>
- * This class is thread-safe: multiple threads can share a single <tt>Timer</tt>
- * object without the need for external synchronization.
- * <p/>
- * This class does <i>not</i> offer real-time guarantees: it schedules tasks
- * using the <tt>Object.wait(long)</tt> method.
- * <p/>
- * Implementation note: This class scales to large numbers of concurrently
- * scheduled tasks (thousands should present no problem). Internally, it uses a
- * binary heap to represent its task queue, so the cost to schedule a task is
- * O(log n), where n is the number of concurrently scheduled tasks.
- *
- * @author Josh Bloch
- * @version 1.9, 01/23/03
- * @see TimerTask
- * @see Object#wait(long)
- * @since 1.3
- */
-
 public class Timer {
     /**
      * The timer task queue. This data structure is shared with the timer
Index: src/plugins/sip/src/java/net/java/sipmack/sip/event/CallRejectedEvent.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/sip/event/CallRejectedEvent.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/sip/event/CallRejectedEvent.java	(working copy)
@@ -1,61 +1,12 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.sip.event;
 
 import net.java.sipmack.sip.Call;
@@ -64,28 +15,11 @@
 
 import java.util.EventObject;
 
-/**
- * <p/>
- * Title:
- * </p>
- * <p/>
- * Description:
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2003
- * </p>
- * <p/>
- * Company:
- * </p>
- *
- * @author Emil Ivov
- * @version 1.0
- */
 public class CallRejectedEvent extends EventObject {
-    /**
-     */
-    String reason = null;
-    Call call = null;
+
+	private static final long serialVersionUID = 5078823819392681774L;
+	private String reason = null;
+	private Call call = null;
 
     public CallRejectedEvent(String reason, Message source, Call call) {
         super(source);
Index: src/plugins/sip/src/java/net/java/sipmack/media/event/MediaListener.java
===================================================================
--- src/plugins/sip/src/java/net/java/sipmack/media/event/MediaListener.java	(revision 11009)
+++ src/plugins/sip/src/java/net/java/sipmack/media/event/MediaListener.java	(working copy)
@@ -1,86 +1,14 @@
-/* ====================================================================
- * The Apache Software License, Version 1.1
- *
- * Copyright (c) 2000 The Apache Software Foundation.  All rights
- * reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * 1. Redistributions of source code must retain the above copyright
- *    notice, this list of conditions and the following disclaimer.
- *
- * 2. Redistributions in binary form must reproduce the above copyright
- *    notice, this list of conditions and the following disclaimer in
- *    the documentation and/or other materials provided with the
- *    distribution.
- *
- * 3. The end-user documentation included with the redistribution,
- *    if any, must include the following acknowledgment:
- *       "This product includes software developed by the
- *        Apache Software Foundation (http://www.apache.org/)."
- *    Alternately, this acknowledgment may appear in the software itself,
- *    if and wherever such third-party acknowledgments normally appear.
- *
- * 4. The names "Apache" and "Apache Software Foundation" must
- *    not be used to endorse or promote products derived from this
- *    software without prior written permission. For written
- *    permission, please contact apache@apache.org.
- *
- * 5. Products derived from this software may not be called "Apache",
- *    nor may "Apache" appear in their name, without prior written
- *    permission of the Apache Software Foundation.
- *
- * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
- * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
- * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
- * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
- * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
- * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
- * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
- * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
- * SUCH DAMAGE.
- * ====================================================================
+/**
+ * $Revision: $
+ * $Date: $
  *
- * This software consists of voluntary contributions made by many
- * individuals on behalf of the Apache Software Foundation.  For more
- * information on the Apache Software Foundation, please see
- * <http://www.apache.org/>.
+ * Copyright (C) 2009 Jive Software. All rights reserved.
  *
- * Portions of this software are based upon public domain software
- * originally written at the National Center for Supercomputing Applications,
- * University of Illinois, Urbana-Champaign.
+ * This software is published under the terms of the GNU Lesser Public License (LGPL),
+ * a copy of which is included in this distribution.
  */
-
 package net.java.sipmack.media.event;
 
-/**
- * <p/>
- * Title: SIP COMMUNICATOR
- * </p>
- * <p/>
- * Description:JAIN-SIP Audio/Video phone application
- * </p>
- * <p/>
- * Copyright: Copyright (c) 2003
- * </p>
- * <p/>
- * Organisation: LSIIT laboratory (http://lsiit.u-strasbg.fr)
- * </p>
- * <p/>
- * Network Research Team (http://www-r2.u-strasbg.fr))
- * </p>
- * <p/>
- * Louis Pasteur University - Strasbourg - France
- * </p>
- *
- * @author Emil Ivov (http://www.emcho.com)
- * @version 1.1
- */
 public interface MediaListener extends java.util.EventListener {
     public void nonFatalMediaErrorOccurred(MediaErrorEvent evt);
 
